Package org.eclipse.cdt.core.parser.ast

# Enum Class ASTAccessVisibility

java.lang.Object
java.lang.Enum<ASTAccessVisibility>
org.eclipse.cdt.core.parser.ast.ASTAccessVisibility

All Implemented Interfaces:
  `Serializable`, `Comparable<ASTAccessVisibility>`, `java.lang.constant.Constable`

public enum ASTAccessVisibility extends Enum<ASTAccessVisibility>
Use compareTo() to order access restriction.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PRIVATE`
`PROTECTED`
`PUBLIC`

## Method Summary

Modifier and Type
Method
Description
`static ASTAccessVisibility`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ASTAccessVisibility[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PUBLIC

public static final ASTAccessVisibility PUBLIC

### PROTECTED

public static final ASTAccessVisibility PROTECTED

### PRIVATE

public static final ASTAccessVisibility PRIVATE

## Method Details

### values

public static ASTAccessVisibility[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ASTAccessVisibility valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null